# is_nativeBFP

Returns if the native (build-in) basis factorization package (BFP) is used, or an external package.

unsigned char is_nativeBFP(lprec *lp);

Return Value

is_nativeBFP returns TRUE if the native (build-in) BFP is used, else FALSE.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

The is_nativeBFP function checks if an external BFP is set or not. See Basis Factorization Packages for a complete description on BFPs.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      unsigned char nativeBFP;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      nativeBFP = is_nativeBFP(lp);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, has_BFP, set_BFP